# Disburse

This endpoint calls the Pretium payment protocol to verify that the payment has been made to the settlement wallet and release the equivalent fiat.

```
POST {{uri}}/v1/pay/GHS
```

**Body Request**

***

| Name              | Type    | Description                                                        |
| ----------------- | ------- | ------------------------------------------------------------------ |
| shortcode         | String  | Recipient mobile number                                            |
| amount            | Integer | Amount to disburse                                                 |
| account\_name     | String  | Recipient Name                                                     |
| transaction\_hash | String  | 0x2cc419f14f6f1fefdb58e0359480fa321866a10668513488e71677c345339f27 |
| chain             | String  | CELO                                                               |
| mobile\_network   | String  | Supported mobile network ie  Airtel go                             |
| callback\_url     | URL     | URL to receive payment notification                                |

{% tabs %}
{% tab title="Sample Request" %}

```
{

    "shortcode": "0799770833",
    "account_name: "John Doe",
    "amount": "500",
    "fee": "10",
    "mobile_network": "Airtel go"
    "chain": "CELO",
    "transaction_hash":"0x55a572efe1720250e442f38741477a4fc3f7f152e5cd208cc52f8222a1c2a13b",
    "callback_url": "https://pretium.africa/callback"
}
```

{% endtab %}

{% tab title="200 - Success" %}

```
{
    "code": 200,
    "message": "Disburse initiated",
    "data": {
        "status": "PENDING",
        "transaction_code": "TSALX",
        "message": "Success! Processing payment."
    }
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```
{
   "code": 400,
   "message": "Failed - Bad Request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pretium.africa/on-off-ramps/ghana/disburse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
